Create Upgrade Path

View as Markdown
Create a new upgrade path.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
namestringRequired
Name of the upgrade path
productslist of objectsRequired
Products with their ranks
movement_ruleenumOptionalDefaults to sequential

Movement rule: sequential or flexible

is_activebooleanOptionalDefaults to true
Whether the path is active

Response

Successful Response
idstring
account_idstring
namestring
movement_rulestring
created_atdatetime
updated_atdatetime
is_activebooleanOptionalDefaults to true
productslist of objectsOptional
deleted_atdatetime or nullOptional

Errors

422
Unprocessable Entity Error